 Join Attribute table in processing Toolbox fails!
Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22407

Description

Join Attribute table in processing Toolbox fails in QGIS 2.14 / Ubuntu 14.04

error message:

  File "/usr/share/qgis/python/plugins/processing/algs/qgis/JoinAttributes.py", line 82, in processAlgorithm

  for current, feat in features:

            ValueError: too many values to unpack

too many values to unpack See log for more details.

Associated revisions

Revision 3ab6db16 - 2016-04-04 10:52 AM - Alexander Bruy

[processing] fix looping over features in Join Attributes alg (fix #14428)

Revision 505c5ee7 - 2016-04-06 01:46 PM - Alexander Bruy

[processing] fix looping over features in Join Attributes alg (fix #14428)

History

#1 - 2016-03-04 10:33 AM - Claas Leiner

complete error message:

Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "/usr/share/qgis/python/plugins/processing/algs/qgis/JoinAttributes.py", line 82, in processAlgorithm

                for current, feat in features:

            ValueError: too many values to unpack

2016-03-04T19:28:23    2    Fehler in Algorithmusausführung EW anjoinen

            too many values to unpack

#2 - 2016-03-26 04:27 AM - Claas Leiner
The problem continues to exist in version 2.14.1

If JoinAttributes.py use of Processing 2.12 (https://plugins.qgis.org/plugins/processing/version/2.12.2) works the join algorithm. Unfortunately I do not have

Python knowledge to solve the problem.

Best wishes,

Claas

#3 - 2016-04-04 01:51 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"3ab6db168f58fbbc5de9490e74578a4af59a0b14".

#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
https://plugins.qgis.org/plugins/processing/version/2.12.2

